/*
 * This file is part of MaLiJAn-GUI.
 *
 * MaLiJAn-GUI is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MaLiJAn-GUI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MaLiJAn-GUI.  If not, see <http://www.gnu.org/licenses/>.
 */
package de.unikl.cs.agak.malijan.examples;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.Writer;
import java.util.Arrays;
import java.util.Collection;

import static de.unikl.cs.agak.malijan.annotation.Annotations.consumeInput;
import static de.unikl.cs.agak.malijan.annotation.Annotations.produceCost;

/**
 * Simplistic example for testing purposes.
 *
 * @author Sebastian Wild <s_wild.cs.uni-kl.de>
 */
public class MiniExample {

	public static void loop(int n) {
		for (int i = 0; i < n; ++i) {
			produceCost("", 1);
			consumeInput(1);
		}
	}

	public static void loop(long n) {
		for (int i = 0; i < n; ++i) {
			produceCost("", 1);
			consumeInput(1);
		}
	}

	public static void writeTempFile(int[] content) throws Exception {
		Writer w = new BufferedWriter(new FileWriter(File.createTempFile(
			  "MiniExample-output", ".tmp")));
		w.write("This is MiniExample.writeTempFile. You gave me:");
		w.write(Arrays.toString(content));
		w.close();
	}

	public static void sum(Collection<? extends Number> numbers) {
		double sum = 0;
		for (final Number number : numbers) {
			sum += number.doubleValue();
			produceCost("sum",1);
		}
	}

}

class C {
	public static void loop(int n) {

	}
}
